name: Redis_using_configmap
services:
  auth-service-mx:
    name: auth-service-mx
    type: AuthService
    apiVersion: getambassador.io/v2
    namespace: default
    version: 6.9.5
    model: ambassador
    settings:
      spec:
        allowed_authorization_headers: []
        allowed_request_headers: []
    traits:
      meshmap:
        edges: []
        id: 2c414d18-425d-4b88-8656-6b9b2314f374
        label: auth-service-mx
        meshmodel-data:
          category:
            metadata: null
            name: Cloud Native Network
          displayName: Ambassador
          displayhostname: ""
          hostID: 00000000-0000-0000-0000-000000000000
          hostname: ""
          metadata:
            source_uri: https://wenerme.github.io/charts/ambassador-6.9.5.tgz
            svgColor: ui/public/static/img/meshmodels/ambassador/color/ambassador-color.svg
            svgWhite: ui/public/static/img/meshmodels/ambassador/white/authservice-white.svg
          name: ambassador
          version: 6.9.5
        meshmodel-metadata:
          genealogy: ""
          isNamespaced: true
          logoURL: https://layer5.io/company/brand
          model: ambassador
          modelDisplayName: Ambassador
          primaryColor: '#795CEC'
          published: true
          secondaryColor: '#00D3A9'
          shape: circle
          styleOverrides:
            z-index: 4
          subCategory: API Gateway
          svgColor: ui/public/static/img/meshmodels/ambassador/color/authservice-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/ambassador/white/authservice-white.svg
        position:
          posX: 250
          posY: 170
        whiteboardData:
          style:
            z-index: 7
  cluster-role-yd:
    name: cluster-role-yd
    type: ClusterRole
    apiVersion: rbac.authorization.k8s.io/v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    settings:
      rules: []
    traits:
      meshmap:
        edges: []
        id: a9ce6846-b477-4f38-8069-992bdcb80d3b
        label: cluster-role-yd
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          displayhostname: ""
          hostID: 00000000-0000-0000-0000-000000000000
          hostname: ""
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: ""
          isCustomResource: false
          isNamespaced: false
          logoURL: Created by leecalcote
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          styleOverrides:
            height: 22px
            width: 22px
            x: "8.5"
            "y": "7.5"
            z-index: 3
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/clusterrole-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/clusterrole-white.svg
        position:
          posX: 330
          posY: 210
        whiteboardData:
          style:
            z-index: 4
  comment-yc:
    name: comment-yc
    type: Comment
    apiVersion: core.meshery.io/v1alpha1
    version: v1.0.0
    model: meshery
    settings:
      usersMessages:
      - avatarUrl: https://cdn-icons-png.flaticon.com/512/5556/5556499.png
        firstName: Miles
        lastName: Albertson
        message: Over here
        timestamp: "2023-11-14T13:34:11.210Z"
        userid: b26fc444-c246-4be8-9863-dfffeb70c41f
    traits:
      meshmap:
        edges: []
        id: 774496f5-d9f1-4dbf-85cc-480e8085bd6a
        label: Comment
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Meshery
          displayhostname: ""
          hostID: 00000000-0000-0000-0000-000000000000
          hostname: ""
          metadata:
            svgColor: ui/public/static/img/meshmodels/meshery/color/broker-color.svg
            svgWhite: ui/public/static/img/meshmodels/aws-node-termination-handler-2/white/terminator-white.svg
          name: meshery
          version: v1.0.0
        meshmodel-metadata:
          genealogy: ""
          isAnnotation: true
          isNamespaced: false
          logoURL: ""
          model: meshery
          modelDisplayName: Meshery
          primaryColor: '#FFDE00'
          published: true
          secondaryColor: '#FFDE00'
          shape: tag
          styleOverrides:
            height: 22px
            width: 22px
            x: 3.5px
            "y": 7.5px
            z-index: 6
          subCategory: App Definition and Development
          svgColor: ui/public/static/img/meshmodels/meshery/color/comment-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery/color/comment-color.svg
        position:
          posX: 230
          posY: 210
        whiteboardData:
          style:
            z-index: 6
  consul-resolver-dd:
    name: consul-resolver-dd
    type: ConsulResolver
    apiVersion: getambassador.io/v2
    namespace: default
    version: 6.9.5
    model: ambassador
    traits:
      meshmap:
        edges: []
        id: 24a22853-1f0d-4be3-9624-06f4523093fe
        label: consul-resolver-dd
        meshmodel-data:
          category:
            metadata: null
            name: Cloud Native Network
          displayName: Ambassador
          displayhostname: ""
          hostID: 00000000-0000-0000-0000-000000000000
          hostname: ""
          metadata:
            source_uri: https://wenerme.github.io/charts/ambassador-6.9.5.tgz
            svgColor: ui/public/static/img/meshmodels/ambassador/color/ambassador-color.svg
            svgWhite: ui/public/static/img/meshmodels/ambassador/white/authservice-white.svg
          name: ambassador
          version: 6.9.5
        meshmodel-metadata:
          genealogy: ""
          isNamespaced: true
          logoURL: https://layer5.io/company/brand
          model: ambassador
          modelDisplayName: Ambassador
          primaryColor: '#795CEC'
          published: true
          secondaryColor: '#00D3A9'
          shape: circle
          styleOverrides: ""
          subCategory: API Gateway
          svgColor: ui/public/static/img/meshmodels/ambassador/color/ambassador-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/ambassador/white/authservice-white.svg
        position:
          posX: 310
          posY: 170
        whiteboardData:
          style:
            z-index: 8
  default:
    name: default
    type: Namespace
    apiVersion: v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    traits:
      meshmap:
        edges: []
        id: 36720d5a-06e4-483f-b119-90d8a4e91455
        label: default
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          displayhostname: ""
          hostID: 00000000-0000-0000-0000-000000000000
          hostname: ""
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: parent
          isCustomResource: false
          isNamespaced: false
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: rectangle
          styleOverrides:
            background-image: none
            background-opacity: 0.5
            border-style: dashed
            border-width: 2
            z-index: 5
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/namespace-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/namespace-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/color/namespace-color.svg
        position:
          posX: 150
          posY: 70
        whiteboardData:
          style:
            z-index: 9
